@echo off
rem **********************************************
rem * Updater script for jAReC v4 Windows 64bit  *
rem *	Version 1.0 - Mar 1, 2023 				 *
rem *  © Dan Toma (YO3GGX) 						 *
rem **********************************************
echo Saving configuration files ...
if not exist ..\config mkdir ..\config 
xcopy.exe /E /Y ..\bin\config ..\config\ > NULL
echo Removing old jAReC installation ...
rd /S /Q ..\bin
rd /S /Q ..\conf
rd /S /Q ..\legal
rd /S /Q ..\lib
rd /S /Q ..\nircmd-64
if exist ..\server rd /S /Q ..\server
del /Q ..\jAReC.bat
del /Q ..\release
del /Q ..\run_debug.bat
echo Downloading latest available jAReC version
wget -q https://www.yo3ggx.ro/jAReC/v4/jarecwin64.zip
echo Unpacking the latest version ...
7z.exe x -y jarecwin64.zip -o..\
echo Removing temporary files ...
del /Q jarecwin64.zip
echo Restoring existing configuration file
mkdir ..\bin\config
xcopy.exe /E /Y ..\config ..\bin\config > NULL 
rd /S /Q ..\config
echo jAReC updated successfully.
pause 0
echo Running jAReC
cd ..
jAReC.bat